import request from '@/utils/request'
export function getMineInfo(data = {}) {
  return request({
    'url': '/app/mine/info',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getUserInfo(data = {}) {
  return request({
    'url': '/app/user/info',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getUserUpPassword(data = {}) {
  return request({
    'url': '/app/user/update/password',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getUserUpRealName(data = {}) {
  return request({
    'url': '/app/user/update/realName',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getUserUpTel(data = {}) {
  return request({
    'url': '/app/user/update/tel',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getUserUpBirthday(data = {}) {
  return request({
    'url': '/app/user/update/birthday',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getUserUpGender(data = {}) {
  return request({
    'url': '/app/user/update/gender',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getNoticeList(data = {}) {
  return request({
    'url': '/app/mine/notice/list',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}

export function getNoticeInfo(data = {}) {
  return request({
    'url': '/app/mine/notice/info',
    headers: {
      isToken: true
    },
    method: 'post',
    data,
    timeout: 20000
  })
}